<?php
/***************************************************************************
 *                                common.php
 *                            -------------------
 *   begin                : Saturday, Feb 23, 2001
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *
 *   $Id: common.php,v 1.7 2003/07/25 19:13:20 carls Exp $
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

if ( !defined('IN_PHPBB') )
{
	die("Hacking attempt");
}

error_reporting  (E_ERROR | E_WARNING | E_PARSE); // This will NOT report uninitialized variables
set_magic_quotes_runtime(0); // Disable magic_quotes_runtime

//
// addslashes to vars if magic_quotes_gpc is off
// this is a security precaution to prevent someone
// trying to break out of a SQL statement.
//
if( !get_magic_quotes_gpc() )
{
	if( is_array($HTTP_GET_VARS) )
	{
		while( list($k, $v) = each($HTTP_GET_VARS) )
		{
			if( is_array($HTTP_GET_VARS[$k]) )
			{
				while( list($k2, $v2) = each($HTTP_GET_VARS[$k]) )
				{
					$HTTP_GET_VARS[$k][$k2] = addslashes($v2);
				}
				@reset($HTTP_GET_VARS[$k]);
			}
			else
			{
				$HTTP_GET_VARS[$k] = addslashes($v);
			}
		}
		@reset($HTTP_GET_VARS);
	}

	if( is_array($HTTP_POST_VARS) )
	{
		while( list($k, $v) = each($HTTP_POST_VARS) )
		{
			if( is_array($HTTP_POST_VARS[$k]) )
			{
				while( list($k2, $v2) = each($HTTP_POST_VARS[$k]) )
				{
					$HTTP_POST_VARS[$k][$k2] = addslashes($v2);
				}
				@reset($HTTP_POST_VARS[$k]);
			}
			else
			{
				$HTTP_POST_VARS[$k] = addslashes($v);
			}
		}
		@reset($HTTP_POST_VARS);
	}

	if( is_array($HTTP_COOKIE_VARS) )
	{
		while( list($k, $v) = each($HTTP_COOKIE_VARS) )
		{
			if( is_array($HTTP_COOKIE_VARS[$k]) )
			{
				while( list($k2, $v2) = each($HTTP_COOKIE_VARS[$k]) )
				{
					$HTTP_COOKIE_VARS[$k][$k2] = addslashes($v2);
				}
				@reset($HTTP_COOKIE_VARS[$k]);
			}
			else
			{
				$HTTP_COOKIE_VARS[$k] = addslashes($v);
			}
		}
		@reset($HTTP_COOKIE_VARS);
	}
}

//
// Define some basic configuration arrays this also prevents
// malicious rewriting of language and otherarray values via
// URI params
//
$board_config = array();
$userdata = array();
// Begin PNphpBB2 Module
$phpbb_theme = array();
// End PNphpBB2 Module
$images = array();
$lang = array();
$gen_simple_header = FALSE;

// Begin PNphpBB2 Module
// include($phpbb_root_path . 'config.'.$phpEx);
$dbms = $pnconfig['dbtype'];
$dbhost = $pnconfig['dbhost'];
$dbname = $pnconfig['dbname'];
$dbuser = $pnconfig['dbuname'];
$dbpasswd = $pnconfig['dbpass'];
// Begin PNphpBB2 Multi-Site Support
$table_prefix = $pnconfig[prefix] . "_phpbb_";
// End PNphpBB2 Multi-Site Support

// Can we find the users table?
$test=$dbconn->Execute("SELECT user_id FROM " . $table_prefix . "users");
if ($test) {
   define('PHPBB_INSTALLED', true);
	 $test->Close();
}
// End PNphpBB2 Module

if( !defined("PHPBB_INSTALLED") )
{
// Begin PNphpBB2 Module
//	header("Location: install/install.$phpEx");
  die("Unable to acsess " . $tabel_prefix . "users table, Instalation was either not completed or table is missing.");
// End PNphpBB2 Module

	exit;
}

include($phpbb_root_path . 'includes/constants.'.$phpEx);
// Begin PNphpBB2 Module
//include($phpbb_root_path . 'includes/template.'.$phpEx);
// End PNphpBB2 Module
include($phpbb_root_path . 'includes/sessions.'.$phpEx);
include($phpbb_root_path . 'includes/auth.'.$phpEx);
include($phpbb_root_path . 'includes/functions.'.$phpEx);
include($phpbb_root_path . 'includes/db.'.$phpEx);

//
// Obtain and encode users IP
//
if( getenv('HTTP_X_FORWARDED_FOR') != '' )
{
	$client_ip = ( !empty($HTTP_SERVER_VARS['REMOTE_ADDR']) ) ? $HTTP_SERVER_VARS['REMOTE_ADDR'] : ( ( !empty($HTTP_ENV_VARS['REMOTE_ADDR']) ) ? $HTTP_ENV_VARS['REMOTE_ADDR'] : $REMOTE_ADDR );

	$entries = explode(',', getenv('HTTP_X_FORWARDED_FOR'));
	reset($entries);
	while (list(, $entry) = each($entries)) 
	{
		$entry = trim($entry);
		if ( preg_match("/^([0-9]+\.[0-9]+\.[0-9]+\.[0-9]+)/", $entry, $ip_list) )
		{
			$private_ip = array('/^0\./', '/^127\.0\.0\.1/', '/^192\.168\..*/', '/^172\.((1[6-9])|(2[0-9])|(3[0-1]))\..*/', '/^10\..*/', '/^224\..*/', '/^240\..*/');
			$found_ip = preg_replace($private_ip, $client_ip, $ip_list[1]);

			if ($client_ip != $found_ip)
			{
				$client_ip = $found_ip;
				break;
			}
		}
	}
}
else
{
	$client_ip = ( !empty($HTTP_SERVER_VARS['REMOTE_ADDR']) ) ? $HTTP_SERVER_VARS['REMOTE_ADDR'] : ( ( !empty($HTTP_ENV_VARS['REMOTE_ADDR']) ) ? $HTTP_ENV_VARS['REMOTE_ADDR'] : $REMOTE_ADDR );
}
$user_ip = encode_ip($client_ip);

//
// Setup forum wide options, if this fails
// then we output a CRITICAL_ERROR since
// basic forum information is not available
//
$sql = "SELECT *
	FROM " . CONFIG_TABLE;
if( !($result = $db->sql_query($sql)) )
{
	message_die(CRITICAL_ERROR, "Could not query config information", "", __LINE__, __FILE__, $sql);
}

while ( $row = $db->sql_fetchrow($result) )
{
	$board_config[$row['config_name']] = $row['config_value'];
}
// Begin PNphpBB2 Module
// Set defaults that can not be used with PN
if ($board_config['pnphpbb2_template_compiler'] == 1)
{
 	 include($phpbb_root_path . 'includes/xs_template.'.$phpEx);
}
else
{
 	 include($phpbb_root_path . 'includes/template.'.$phpEx);
}
$board_config['default_dateformat'] = _DATETIMEBRIEF;
$board_config['sitename'] = $pnconfig[sitename];
$board_config['site_desc'] = $pnconfig[slogan];
$board_config['require_activation'] = 0;
$board_config['gzip_compress'] = 0;
$board_config['allow_namechange'] = 0;
$board_config['cookie_secure'] = 0;
$board_config['default_lang'] = getPNlanguage();
$board_config['board_timezone'] = pnConfigGetVar('timezone_offset') - 12;
$board_config['board_email'] = $pnconfig[adminmail];
$fullpage = pnSessionGetVar('fullpage');
if (empty($fullpage))
{
 	 pnSessionSetVar('fullpage', $board_config['pnphpbb2_full_page']);
}
$subforum = pnSessionGetVar('subforum');
if (empty($subforum))
{
 	 pnSessionSetVar('subforum', $board_config['pnphpbb2_sub_forum']);
}
$board_config['avatar_gallery_path']= $phpbb_root_path. $board_config['avatar_gallery_path'];
$board_config['avatar_path']= $phpbb_root_path. $board_config['avatar_path'];
// End PNphpBB2 Module

// End PNphpBB2 Module

// Begin PNphpBB2 Attachment Mod
include($phpbb_root_path . 'attach_mod/attachment_mod.'.$phpEx);
// End PNphpBB2 Attachment Module

// Begin PNphpBB2 Module
if (file_exists($phpbb_root_path . 'install'))
{
	message_die(GENERAL_MESSAGE, 'Please ensure the install/ directory is deleted.');
}
// End PNphpBB2 Module

//
// Show 'Board is disabled' message if needed.
//
if( $board_config['board_disable'] && !defined("IN_ADMIN") && !defined("IN_LOGIN") )
{
	message_die(GENERAL_MESSAGE, 'Board_disable', 'Information');
}

?>
