<?php
/***************************************************************************
 *                                install.php
 *                            -------------------
 *   begin                : Tuesday, Feb 04, 2003
 *   copyright            : (C) 2003 The PNphpBB Group
 *   email                : support@pnphpbb.com
 *
 *   $Id: install.php,v 1.2 2003/07/13 04:11:13 carls Exp $
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

global $table_prefix, $remove_remarks, $delimiter, $db, $errored, $error_ary;

// ---------
// FUNCTIONS
//
//
// Run a complete SQL-Statement, this can be a array
//
function evaluate_statement($sql_query, $hide = FALSE, $replace = FALSE)
{
	global $table_prefix, $remove_remarks, $delimiter, $db, $message_text, $errored, $error_ary;

	$message_text = '';

	if ($replace)
	{
		 $sql_query = preg_replace('/phpbb_/', $table_prefix, $sql_query);
	}

	$sql_query = $remove_remarks($sql_query);
	$sql_query = split_sql_file($sql_query, $delimiter);
	
	$sql_count = count($sql_query);

	for($i = 0; $i < $sql_count; $i++)
	{
		$query_text = (strlen($sql_query[$i]) > 60 ) ? substr($sql_query[$i], 0, 55) . ' ... ' . substr($sql_query[$i], -10) : $sql_query[$i];
		$message_text = '<b><font color="#0000FF">Running >>></font></b> ' . $query_text;

		if ( !($result = $db->sql_query($sql_query[$i])) )
		{
			$errored = true;
			$error = $db->sql_error();
			
			$error_ary['sql'][] = (is_array($sql_query)) ? $sql_query[$i] : $sql_query;
			$error_ary['error_code'][] = $db->sql_error();
			$message_text .= ' -> <blink><u><font color="#FF0000"><b> >>> FAILED</b></font></u></blink>';
			//<b>' . $error['message'] . "</b>";
		}
		else
		{
			$message_text .= ' <b><font color="#008000"> >>> COMPLETED</font></b>';
		}
		if (!$hide)
		{
		 	 page_common_text($message_text, "center");
		}
	}
	
	flush($sql_query);
		 	
	if ($errored)
	{
		return (FALSE);
	}
	else
	{
		return $result;
	}
}

/*
function page_header($text, $form_action = false)
{
global $phpbb_root_path, $lang, $phpEx;

if (!pnModAvailable('Encompass'))
{
	 include ("header.php");
}
OpenTable();
?>
<table width="100%" border="1" cellspacing="0" cellpadding="10" align="center">
	<tr>
		<td class="pn-normal" width="100%"><table width="100%" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td><table width="100%" border="1" cellspacing="0" cellpadding="0">
					<tr>
						<td><img src= "<?php echo $phpbb_root_path;?>images/logo.gif" border="0" alt="PNphpBB2" vspace="1" /></td>
						<td align="center" width="100%" valign="middle"><span class="pn-normal"><h2><?php echo $text;?></h2></span></td>
					</tr>
			</table></td>
			</tr>
			<tr>
				<td><br /><br /></td>
			</tr>
			<tr>
				<td width="100%"><table width="100%" cellpadding="2" cellspacing="1" border="0" class="forumline"><form action="<?php echo $form_action ?>" name="install" method="post">
<?php
}

function page_footer()
{
?>
				</table></form></td>
			</tr>
		</table></td>
	</tr>
</table>	
<?php 
CloseTable();
include ("footer.php");
}

function page_common_form($hidden, $submit)
{

?>
        <tr> 
				</tr>
				<tr>
				 	<td class="pn-normal" align="center" colspan="2"><?php echo $hidden; ?><input class="pn-normal" type="submit" value="<?php echo $submit; ?>" /></td>
				</tr>
<?php

}

function page_common_text($text, $align = "left")
{
?>
        <tr> 
				 	<td class=pn-normal" align="<?php echo $align; ?>" valign="center" colspan="2"><?php echo $text; ?></td>
				</tr>
<?php
}

function page_error($error_title, $error)
{

?>
        <tr>
					<h4><?php echo $error_title; ?></h4>
				</tr>
				<tr>
					<td align="center"><strong><?php echo $error; ?></strong></td>
				</tr>
<?php

}
*/

error_reporting  (E_ERROR | E_WARNING | E_PARSE); // This will NOT report uninitialized variables
set_magic_quotes_runtime(0); // Disable magic_quotes_runtime

// Begin main prog
define('IN_PHPBB', true);

// Begin PNphpBB2 Module
global $phpbb_root_path, $ModName, $pnconfig;

list($dbconn) = pnDBGetConn();
$pntable = pnDBGetTables();

if (!pnSecAuthAction(0, 'PNphpBB2::', '::', ACCESS_ADMIN))
{
    pnredirect("index.php");
    return;
}

if (empty($ModName))
{
	 $ModName = ($HTTP_GET_VARS['name']) ? $HTTP_GET_VARS['name'] : "PNphpBB2";
}
$phpbb_root_path = './modules/' . $ModName . '/';

// End PNphpBB2 Module

include($phpbb_root_path . 'extension.inc');

// Initialise some basic arrays
$userdata = array();
$lang = array();
$error = false;

// Include some required functions
include($phpbb_root_path.'includes/constants.'.$phpEx);
if (!function_exists('getpnlanguage'))
{
 	 include_once($phpbb_root_path . "includes/functions.".$phpEx);
}
include($phpbb_root_path.'includes/template.'.$phpEx);


// Define schema info
$available_dbms = array(
	'mysql'=> array(
		'LABEL'			=> 'MySQL 3.x',
		'SCHEMA'		=> 'mysql', 
		'DELIM'			=> ';',
		'DELIM_BASIC'	=> ';',
		'COMMENTS'		=> 'remove_remarks'
	), 
	'mysql4' => array(
		'LABEL'			=> 'MySQL 4.x',
		'SCHEMA'		=> 'mysql', 
		'DELIM'			=> ';', 
		'DELIM_BASIC'	=> ';',
		'COMMENTS'		=> 'remove_remarks'
	), 
	'postgres' => array(
		'LABEL'			=> 'PostgreSQL 7.x',
		'SCHEMA'		=> 'postgres', 
		'DELIM'			=> ';', 
		'DELIM_BASIC'	=> ';',
		'COMMENTS'		=> 'remove_comments'
	), 
	'mssql' => array(
		'LABEL'			=> 'MS SQL Server 7/2000',
		'SCHEMA'		=> 'mssql', 
		'DELIM'			=> 'GO', 
		'DELIM_BASIC'	=> ';',
		'COMMENTS'		=> 'remove_comments'
	),
	'msaccess' => array(
		'LABEL'			=> 'MS Access [ ODBC ]',
		'SCHEMA'		=> '', 
		'DELIM'			=> '', 
		'DELIM_BASIC'	=> ';',
		'COMMENTS'		=> ''
	),
	'mssql-odbc' =>	array(
		'LABEL'			=> 'MS SQL Server [ ODBC ]',
		'SCHEMA'		=> 'mssql', 
		'DELIM'			=> 'GO',
		'DELIM_BASIC'	=> ';',
		'COMMENTS'		=> 'remove_comments'
	)
);

$dbms=$pnconfig[dbtype];

$dbhost = $pnconfig[dbhost];
$dbuser = $pnconfig[dbuname];
$dbpasswd = $pnconfig[dbpass];
$dbname = $pnconfig[dbname];
// Begin PNphpBB2 Multi-Site Support
//$pnprefix = $pnconfig[prefix];
$table_prefix = $pnconfig[prefix] . "_phpbb_";
// End PNphpBB2 Multi-Site Support

//Get PostNuke's Default Language and use this for PNphpBB2 default.
$language = getPNlanguage();
// If no language files exist for PostNuke language then use english
// We check for the admin and pnphpbb2 language files as well, if no corisponding language
// file for the language we defualt to english.
if ( !file_exists($phpbb_root_path . 'language/lang_' . $language . '/lang_pnphpbb2_admin.' . $phpEx) || !file_exists($phpbb_root_path . 'language/lang_' . $language . '/lang_admin.' . $phpEx) )
{
	$language = "english";
}
	
$default_template = 'PNTheme';
//$deafult_dateformat = str_replace('%', '', _DATETIMEBRIEF)

$board_email = $pnconfig[adminmail];
$script_path = "./modules/$ModName/";

$server_name = $pnconfig[sitename];
$server_port = '80';

// Import language file.
//include($phpbb_root_path.'language/lang_' . $language . '/lang_main.'.$phpEx);
include($phpbb_root_path.'language/lang_' . $language . '/lang_admin.'.$phpEx);
include($phpbb_root_path.'language/lang_' . $language . '/lang_pnphpbb2_admin.'.$phpEx);

// Go ahead and create the DB, then populate it
//
// MS Access is slightly different in that a pre-built, pre-
// populated DB is supplied, all we need do here is update
// the relevant entries
if (isset($dbms))
{
	switch($dbms)
	{
		case 'msaccess':
		case 'mssql-odbc':
			$check_exts = 'odbc';
			$check_other = 'odbc';
			break;

		case 'mssql':
			$check_exts = 'mssql';
			$check_other = 'sybase';
			break;

		case 'mysql':
			case 'mysql4':
			$check_exts = 'mysql';
			$check_other = 'mysql';
			break;

		case 'postgres':
			$check_exts = 'pgsql';
			$check_other = 'pgsql';
			break;
	}
	

	if (!extension_loaded($check_exts) && !extension_loaded($check_other))
	{	
		page_header($lang['Install'], '');
		page_error($lang['Installer_Error'], $lang['Install_No_Ext']);
		page_footer();
		exit;
	}

	include($phpbb_root_path.'includes/db.'.$phpEx);
}

page_header($lang['PNphpBB2_Install'], 'index.php?module=Modules&type=admin&func=list');

page_common_text($lang['PNphpBB2_Install_Title'], "center");
page_common_text($lang['PNphpBB2_Progress'], "center");

$dbms_schema = $phpbb_root_path . 'install/schemas/' . $available_dbms[$dbms]['SCHEMA'] . '_schema.sql';
$dbms_basic = $phpbb_root_path . 'install/schemas/' . $available_dbms[$dbms]['SCHEMA'] . '_basic.sql';
$dbms_attach_schema = $phpbb_root_path . 'install/schemas/attach_' . $available_dbms[$dbms]['SCHEMA'] . '_schema.sql';
$dbms_attach_basic = $phpbb_root_path . 'install/schemas/attach_' . $available_dbms[$dbms]['SCHEMA'] . '_basic.sql';
//$dbms_pnphpbb2_schema = $phpbb_root_path . 'install/schemas/pnphpbb2_' . $available_dbms[$dbms]['SCHEMA'] . '_schema.sql';
$dbms_pnphpbb2_basic = $phpbb_root_path . 'install/schemas/pnphpbb2_' . $available_dbms[$dbms]['SCHEMA'] . '_basic.sql';


$remove_remarks = $available_dbms[$dbms]['COMMENTS'];;
$delimiter = $available_dbms[$dbms]['DELIM']; 
$delimiter_basic = $available_dbms[$dbms]['DELIM_BASIC']; 

$error_ary = array();
$errored = FALSE;

if ($dbms != 'msaccess')
{
	// Load in the sql parser
	include($phpbb_root_path.'includes/sql_parse.'.$phpEx);

	// Ok we have the db info go ahead and read in the relevant schema
	// and work on building the table.. probably ought to provide some
	// kind of feedback to the user as we are working here in order
	// to let them know we are actually doing something.

	$sql_query = @fread(@fopen($dbms_schema, 'r'), @filesize($dbms_schema));
	$result = evaluate_statement($sql_query, FALSE, TRUE);

	// Ok now lest do the same for the attachment mod schema
	$sql_query = @fread(@fopen($dbms_attach_schema, 'r'), @filesize($dbms_attach_schema));
	$result = evaluate_statement($sql_query, FALSE, TRUE);
	
	// Ok now lest do the same for the pnphpbb2 schema
//	$sql_query = @fread(@fopen($dbms_pnphpbb2_schema, 'r'), @filesize($dbms_pnphpbb2_schema));
//	$result = evaluate_statement($sql_query, FALSE, TRUE);

	// Ok tables have been built, let's fill in the basic information
	$sql_query = @fread(@fopen($dbms_basic, 'r'), @filesize($dbms_basic));
	$result = evaluate_statement($sql_query, FALSE, TRUE);

	// Ok tables have been built, let's fill in the basic information for the attachment mod
	$sql_query = @fread(@fopen($dbms_attach_basic, 'r'), @filesize($dbms_attach_basic));
	$result = evaluate_statement($sql_query, FALSE, TRUE);
	
  // Ok tables have been built, let's fill in the basic information for PNphpBB2
	$sql_query = @fread(@fopen($dbms_pnphpbb2_basic, 'r'), @filesize($dbms_pnphpbb2_basic));
	$result = evaluate_statement($sql_query, FALSE, TRUE);

}

$sql_query = '';

// Update the default admin user with their information.
$sql_query .= "INSERT INTO " . $table_prefix . "config (config_name, config_value) VALUES ('board_startdate', " . time() . ");";

$sql_query .= "INSERT INTO " . $table_prefix . "config (config_name, config_value) VALUES ('default_lang', '" . str_replace("\'", "''", $language) . "');";

$update_config = array(
	'board_email'	=> $board_email,
	'script_path'	=> $script_path,
	'server_port'	=> $server_port,
	'server_name'	=> $server_name
);

while (list($config_name, $config_value) = each($update_config))
{
	$sql_query .= "UPDATE " . $table_prefix . "config SET config_value = '$config_value' WHERE config_name = '$config_name';";
}

$admin_name=pnUserGetVar('uname');
// Obtain PN user password
$sql = "SELECT pn_pass FROM " . $pnconfig[prefix] . "_users WHERE pn_uid='2'";

if ( !($result = $db->sql_query($sql)) )
{
 	 message_die(CRITICAL_ERROR, 'Could not obtain PN user table', '', __LINE__, __FILE__, $sql);
}
list($admin_pass_md5) = $db->sql_fetchrow($result);

//$admin_pass_md5 = ($confirm && $userdata['user_level'] == ADMIN) ? $admin_pass1 : md5($admin_pass1);

$sql_query .= "UPDATE " . $table_prefix . "users SET username = '" . str_replace("\'", "''", $admin_name) . "', user_password='" . str_replace("\'", "''", $admin_pass_md5) . "', user_lang = '" . str_replace("\'", "''", $language) . "', user_email='" . str_replace("\'", "''", $board_email) . "' WHERE username = 'Admin';";

$sql_query .= "UPDATE " . $table_prefix . "users SET user_regdate = " . time() . ";";

$result = evaluate_statement($sql_query, FALSE, FALSE);

if ($errored)
{
	page_common_text($lang['PNphpBB2_Some_Failed'], "center");

	for ($i = 0; $i < count($error_ary['sql']); $i++)
	{
		page_common_text("<li>Error :: <b>" . $error_ary['error_code'][$i]['message'] . "</b><br />", "center");
		page_common_text("SQL &nbsp; :: <b>" . $error_ary['sql'][$i] . "</b><br /></li>", "center");
	}
}
else
{
	page_common_text($lang['PNphpBB2_No_Errors'], "center");
}

page_common_text("<h4>" . $lang['PNphpBB2_Done'] . "</h4>", "center");
page_common_text($lang['PNphpBB2_Install_Complete'], "left");
page_common_form('', $lang['Finish_Install']);
page_footer();
return;

?>
