<?php
/***************************************************************************
 *                            remove_pnphpbb2.php
 *                            -------------------
 *   begin                : Tuesday, Mar 13, 2003
 *   copyright            : (C) 2003 The PNphpBB Group
 *   email                : support@pnphpbb.com
 *
 *   $Id: remove_pnphpbb2.php,v 1.2 2003/07/13 04:11:13 carls Exp $
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
// PNphpBB2 databse table removal utility.
// This script can ONLY be called from withing the pninit script
// If its called from anywhere else it will die!
// Administrator of PostNuke as well as it being called as a module
// MUST be satisfied before deletion can proceed.
//
// NOTE: The PNphpBB2 directory MUST exist to run this script
// 
global $table_prefix, $remove_remarks, $delimiter, $db, $errored, $error_ary;

if (!defined("LOADED_AS_MODULE"))
{
	 die ("You can't access this file directly...");
}

// ---------
// FUNCTIONS
//
function evaluate_statement($sql_query, $hide = FALSE, $replace = FALSE)
{
	global $table_prefix, $remove_remarks, $delimiter, $db, $message_text, $errored, $error_ary;

	$message_text = '';

	if ($replace)
	{
		$sql_query = preg_replace('/phpbb_/', $table_prefix, $sql_query);
	}

//	$sql_query = $remove_remarks($sql_query);
//	$sql_query = split_sql_file($sql_query, $delimiter);
	
	$sql_count = count($sql_query);

	for($i = 0; $i < $sql_count; $i++)
	{
		if (!$hide)
		{
		 	$query_text = (strlen($sql_query[$i]) > 60 ) ? substr($sql_query[$i], 0, 55) . ' ... ' . substr($sql_query[$i], -10) : $sql_query[$i];
			$message_text = '<b><font color="#0000FF">Running >>></font></b> ' . $query_text;
		}

		if ( !($result = $db->sql_query($sql_query[$i])) )
		{
			$errored = true;
			$error = $db->sql_error();
			if (!$hide)
			{
			 	$error_ary['sql'][] = (is_array($sql_query)) ? $sql_query[$i] : $sql_query;
				$error_ary['error_code'][] = $db->sql_error();
				$message_text .= ' -> <blink><u><font color="#FF0000"><b> >>> FAILED</b></font></u></blink>';
				//<b>' . $error['message'] . "</b>";
			}
		}
		else
		{
			if (!$hide)
			{
				$message_text .= ' <b><font color="#008000"> >>> COMPLETED</font></b>';
			}
		}
		page_common_text($message_text, "center");
	}

	flush($sql_query);

	if ($errored)
	{
		return (FALSE);
	}
	else
	{
		return $result;
	}
}


function page_header($text, $form_action = false)
{
global $phpbb_root_path, $lang, $phpEx;

if (!pnModAvailable('Encompass'))
{
	 include ("header.php");
}
OpenTable();
?>
<table width="100%" border="1" cellspacing="0" cellpadding="10" align="center">
	<tr>
		<td class="pn-normal" width="100%"><table width="100%" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td><table width="100%" border="1" cellspacing="0" cellpadding="0">
					<tr>
						<td><img src= "<?php echo $phpbb_root_path;?>images/logo.gif" border="0" alt="PNphpBB2" vspace="1" /></td>
						<td align="center" width="100%" valign="middle"><span class="pn-normal"><h2><?php echo $text;?></h2></span></td>
					</tr>
			</table></td>
			</tr>
			<tr>
				<td><br /><br /></td>
			</tr>
			<tr>
				<td width="100%"><table width="100%" cellpadding="2" cellspacing="1" border="0" class="forumline"><form action="<?php echo $form_action ?>" name="install" method="post">
<?php

}

function page_footer()
{

?>
				</table></form></td>
			</tr>
		</table></td>
	</tr>
</table>	
<?php

CloseTable();
include ("footer.php");
}

function page_common_form($hidden, $submit)
{

?>
        <tr> 
				 	<td class="pn-normal" align="center" colspan="2"><?php echo $hidden; ?><input class="pn-normal" type="submit" style="font-size: 12pt; font-weight: bold" value="<?php echo $submit; ?>" /></td>
				</tr>
<?php
}

function page_common_text($text, $align = "left")
{
?>
        <tr> 
				 	<td class=pn-normal" align="<?php echo $align; ?>" valign="center" colspan="2"><?php echo $text; ?></td>
				</tr>
<?php
}


function page_error($error_title, $error)
{

?>
        <tr>
					<th><?php echo $error_title; ?></th>
				</tr>
				<tr>
					<td class="pn-normal" align="center"><strong><?php echo $error; ?></strong></td>
				</tr>
<?php

}

error_reporting  (E_ERROR | E_WARNING | E_PARSE); // This will NOT report uninitialized variables
set_magic_quotes_runtime(0); // Disable magic_quotes_runtime

// Begin main prog
define('IN_PHPBB', true);

// Begin PNphpBB2 Module
global $db, $phpbb_root_path, $ModName, $pnconfig, $phpEx, $lang;

if (empty($ModName))
{
	 $ModName = $HTTP_GET_VARS['name'];
}
$phpbb_root_path = './modules/' . $ModName . '/';

list($dbconn) = pnDBGetConn();
$pntable = pnDBGetTables();

include($phpbb_root_path . 'extension.inc');

if (!pnSecAuthAction(0, 'PNphpBB2::', '::', ACCESS_ADMIN)) {
	 pnredirect("index.php");
}

// Initialise some basic arrays
$userdata = array();
$lang = array();
$error = false;

// Include some required functions
include($phpbb_root_path.'includes/constants.'.$phpEx);
include($phpbb_root_path.'includes/functions.'.$phpEx);
//include($phpbb_root_path.'includes/template.'.$phpEx);

// Define schema info
$available_dbms = array(
	'mysql'=> array(
		'LABEL'			=> 'MySQL 3.x',
		'SCHEMA'		=> 'mysql', 
		'DELIM'			=> ';',
		'DELIM_BASIC'	=> ';',
		'COMMENTS'		=> 'remove_remarks'
	), 
	'mysql4' => array(
		'LABEL'			=> 'MySQL 4.x',
		'SCHEMA'		=> 'mysql', 
		'DELIM'			=> ';', 
		'DELIM_BASIC'	=> ';',
		'COMMENTS'		=> 'remove_remarks'
	), 
	'postgres' => array(
		'LABEL'			=> 'PostgreSQL 7.x',
		'SCHEMA'		=> 'postgres', 
		'DELIM'			=> ';', 
		'DELIM_BASIC'	=> ';',
		'COMMENTS'		=> 'remove_comments'
	), 
	'mssql' => array(
		'LABEL'			=> 'MS SQL Server 7/2000',
		'SCHEMA'		=> 'mssql', 
		'DELIM'			=> 'GO', 
		'DELIM_BASIC'	=> ';',
		'COMMENTS'		=> 'remove_comments'
	),
	'msaccess' => array(
		'LABEL'			=> 'MS Access [ ODBC ]',
		'SCHEMA'		=> '', 
		'DELIM'			=> '', 
		'DELIM_BASIC'	=> ';',
		'COMMENTS'		=> ''
	),
	'mssql-odbc' =>	array(
		'LABEL'			=> 'MS SQL Server [ ODBC ]',
		'SCHEMA'		=> 'mssql', 
		'DELIM'			=> 'GO',
		'DELIM_BASIC'	=> ';',
		'COMMENTS'		=> 'remove_comments'
	)
);

$dbms=$pnconfig[dbtype];

$dbhost = $pnconfig[dbhost];
$dbuser = $pnconfig[dbuname];
$dbpasswd = $pnconfig[dbpass];
$dbname = $pnconfig[dbname];
// Begin PNphpBB2 Multi-Site Support
//$pnprefix = $pnconfig[prefix];
$table_prefix = $pnconfig[prefix] . "_phpbb_";
// End PNphpBB2 Multi-Site Support

$admin_name=pnUserGetVar('uname');

//Get PostNuke's Default Language and use this for PNphpBB2 default.
$language = getPNlanguage();

// If no language files exist for PostNuke language then use english
if ( !file_exists(@phpbb_realpath($phpbb_root_path . 'language/lang_' . $language . '/lang_admin.' . $phpEx)) || !file_exists(@phpbb_realpath($phpbb_root_path . 'language/lang_' . $language . '/lang_pnphpbb2_admin.' . $phpEx)))
{
	$language = "english";
}
	
// Import language file, setup template ...
//include($phpbb_root_path.'language/lang_' . $language . '/lang_main.'.$phpEx);
include($phpbb_root_path.'language/lang_' . $language . '/lang_admin.'.$phpEx);
include($phpbb_root_path.'language/lang_' . $language . '/lang_pnphpbb2_admin.'.$phpEx);

// Go ahead and create the DB, then populate it
//
// MS Access is slightly different in that a pre-built, pre-
// populated DB is supplied, all we need do here is update
// the relevant entries
if (isset($dbms))
{
	switch($dbms)
	{
		case 'msaccess':
		case 'mssql-odbc':
			$check_exts = 'odbc';
			$check_other = 'odbc';
			break;

		case 'mssql':
			$check_exts = 'mssql';
			$check_other = 'sybase';
			break;

		case 'mysql':
			case 'mysql4':
			$check_exts = 'mysql';
			$check_other = 'mysql';
			break;

		case 'postgres':
			$check_exts = 'pgsql';
			$check_other = 'pgsql';
			break;
	}

	if (!extension_loaded($check_exts) && !extension_loaded($check_other))
	{	
		page_header($lang['Install'], '');
		page_error($lang['Installer_Error'], $lang['Install_No_Ext']);
		page_footer();
		exit;
	}

	include($phpbb_root_path.'includes/db.'.$phpEx);
}

$remove_remarks = $available_dbms[$dbms]['COMMENTS'];;
$delimiter = $available_dbms[$dbms]['DELIM']; 
$delimiter_basic = $available_dbms[$dbms]['DELIM_BASIC']; 

// Not sure at this point if we can DROP tables in msaccess.

switch ($dbms)
{
	case 'mysql':
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attach_quota`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attachments`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attachments_config`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attachments_desc`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "auth_access`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "banlist`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "categories`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "config`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "disallow`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "extension_groups`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "extensions`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "forbidden_extensions`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "forum_prune`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "forums`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "groups`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "posts`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "posts_text`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "privmsgs`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "privmsgs_text`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "quota_limits`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "ranks`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "search_results`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "search_wordlist`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "search_wordmatch`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "sessions`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "smilies`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "themes`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "themes_name`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "topics`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "topics_watch`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "user_group`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "users`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "vote_desc`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "vote_results`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "vote_voters`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "words`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "confirm`";
		break;

	case 'mysql4':
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attach_quota`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attachments`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attachments_config`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attachments_desc`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "auth_access`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "banlist`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "categories`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "config`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "disallow`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "extension_groups`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "extensions`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "forbidden_extensions`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "forum_prune`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "forums`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "groups`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "posts`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "posts_text`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "privmsgs`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "privmsgs_text`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "quota_limits`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "ranks`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "search_results`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "search_wordlist`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "search_wordmatch`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "sessions`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "smilies`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "themes`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "themes_name`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "topics`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "topics_watch`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "user_group`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "users`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "vote_desc`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "vote_results`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "vote_voters`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "words`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "confirm`";
		break;
	
	case 'postgresql':
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attach_quota`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attachments`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attachments_config`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attachments_desc`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "auth_access`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "banlist`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "categories`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "config`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "disallow`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "extension_groups`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "extensions`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "forbidden_extensions`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "forum_prune`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "forums`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "groups`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "posts`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "posts_text`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "privmsgs`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "privmsgs_text`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "quota_limits`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "ranks`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "search_results`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "search_wordlist`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "search_wordmatch`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "sessions`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "smilies`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "themes`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "themes_name`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "topics`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "topics_watch`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "user_group`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "users`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "vote_desc`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "vote_results`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "vote_voters`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "words`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "confirm`";
		break;

	case 'mssql-odbc':

	case 'mssql':
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attach_quota`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attachments`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attachments_config`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attachments_desc`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "auth_access`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "banlist`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "categories`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "config`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "disallow`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "extension_groups`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "extensions`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "forbidden_extensions`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "forum_prune`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "forums`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "groups`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "posts`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "posts_text`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "privmsgs`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "privmsgs_text`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "quota_limits`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "ranks`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "search_results`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "search_wordlist`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "search_wordmatch`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "sessions`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "smilies`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "themes`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "themes_name`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "topics`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "topics_watch`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "user_group`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "users`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "vote_desc`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "vote_results`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "vote_voters`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "words`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "confirm`";
		break;
	
	case 'msaccess':
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attach_quota`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attachments`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attachments_config`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "attachments_desc`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "auth_access`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "banlist`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "categories`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "config`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "disallow`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "extension_groups`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "extensions`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "forbidden_extensions`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "forum_prune`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "forums`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "groups`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "posts`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "posts_text`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "privmsgs`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "privmsgs_text`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "quota_limits`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "ranks`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "search_results`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "search_wordlist`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "search_wordmatch`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "sessions`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "smilies`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "themes`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "themes_name`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "topics`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "topics_watch`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "user_group`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "users`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "vote_desc`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "vote_results`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "vote_voters`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "words`";
		$sql_query[] = "DROP TABLE `" . $table_prefix . "confirm`";
		break;

	default:
		die("No DB LAYER found!");
		break;
}
//die(count($sql_query));
// Load in the sql parser
include($phpbb_root_path.'includes/sql_parse.'.$phpEx);

// Ok lets get starting (NO TURNING BACK NOW!)

page_header($lang['PNphpBB2_Remove_Prompt'], "index.php?module=Modules&type=admin&func=list");

page_common_text($lang['PNphpBB2_Remove_Title'], "center");
page_common_text($lang['PNphpBB2_Progress'], "center");

$error_ary = array();
$errored = FALSE;

$result = evaluate_statement($sql_query, FALSE, FALSE);
page_common_text("<h4>" . $lang['PNphpBB2_Done'] . "</h4>", "center");
page_common_text($lang['PNphpBB2_Results'], "center");

if ($errored)
{
	page_common_text($lang['PNphpBB2_Some_Failed'], "center");

	for ($i = 0; $i < count($error_ary['sql']); $i++)
	{
		page_common_text("<li>Error :: <b>" . $error_ary['error_code'][$i]['message'] . "</b><br />", "center");
		page_common_text("SQL &nbsp; :: <b>" . $error_ary['sql'][$i] . "</b><br /></li>", "center");
	}

	page_common_text($lang['PNphpBB2_Some_Failed'], "left");
}
else
{
	page_common_text($lang['PNphpBB2_No_Errors'], "center");
}

page_common_text($lang['PNphpBB2_Remove_Notes'], "left");

page_common_form($s_hidden_fields, _OK);
page_footer();

//$modid = pnModGetIdFromName($ModName);
//modules_adminapi_remove($modid);
return;

?>
